{
  "name": "vscode-extension-oop-typescript",
  "displayName": "AMLO VSCode Extension Typescript OOP",
  "publisher": "AMLO",
  "description": "Extension for generate class typescript oop",
  "version": "0.1.0",
  "engines": {
    "vscode": "^1.84.0"
  },
  "categories": [
    "Other"
  ],
  "activationEvents": [],
  "main": "./out/extension.js",
  "contributes": {
    "commands": [
      {
        "command": "vscode-extension-oop-typescript.commandBuilderClassGenerate",
        "title": "Builder Class Generate"
      },
      {
        "command": "vscode-extension-oop-typescript.commandBuilderClassGenerateWithBuilderSetId",
        "title": "Builder Class Generate With Builder Set Id"
      },
      {
        "command": "vscode-extension-oop-typescript.commandGetterSetterClassGenerate",
        "title": "Getter Setter Class Generate"
      },
      {
        "command": "vscode-extension-oop-typescript.commandAllArgsConstructorGenerate",
        "title": "AllArgsConstructor Generate"
      },
      {
        "command": "vscode-extension-oop-typescript.commandEqualsAndHashGenerate",
        "title": "Equals and Hash Generate"
      }
    ]
  },
  "scripts": {
    "vscode:prepublish": "npm run compile",
    "compile": "tsc -p ./",
    "watch": "tsc -watch -p ./",
    "pretest": "npm run compile && npm run lint",
    "lint": "eslint src --ext ts",
    "test": "node ./out/test/runTest.js"
  },
  "devDependencies": {
    "@types/vscode": "^1.84.0",
    "@types/mocha": "^10.0.3",
    "@types/node": "18.x",
    "@typescript-eslint/eslint-plugin": "^6.9.0",
    "@typescript-eslint/parser": "^6.9.0",
    "eslint": "^8.52.0",
    "glob": "^10.3.10",
    "mocha": "^10.2.0",
    "typescript": "^5.2.2",
    "@vscode/test-electron": "^2.3.6"
  }
}